[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

DT_StackEntry< Iter > Class Template Reference

`#include <vigra/random_forest/rf_region.hxx>`

## Public Attributes

Int32 | leftParent
ArrayVector< std::pair< Int32, double > > | rule

## Detailed Description

template<class Iter>
class vigra::DT_StackEntry< Iter >

Standard Stackentry used to Build a Tree. Contains Information About the current region being split

## Member Data Documentation

## ◆ leftParent

template<class Iter >

Int32 leftParent

Address of left and Right parent in the topology container

## ◆ rule

template<class Iter >

ArrayVector<std::pair<Int32, double> > rule

rule associated with current node

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_region.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.1